package com.mt.wms.basic.controller;

import com.mt.wms.basic.params.CommunicationQueryParam;
import com.mt.wms.basic.service.CommunicationService;
import com.mt.wms.basic.vo.CommunicationVo;
import com.mt.wms.core.base.BaseController;
import com.mt.wms.core.constants.CommonConstant;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.validator.groups.PageGroup;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.groups.Default;
import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/11/18 10:34
 * @Version 1.0
 */
@RestController
@RequestMapping(CommonConstant.API_MODULE_BASE + "communication")
@Slf4j
@Api(value = "通讯日志管理", tags = "通讯日志管理", hidden = false)
public class CommunicationContrallor extends BaseController {

    @Autowired
    private CommunicationService communicationService;

    @PostMapping(value = "get")
    @ApiOperation(value = "获取报警基础信息")
    private R<CommunicationVo> get(@Validated @RequestBody IdParam idParam) {
        return communicationService.get(idParam);
    }


    @PostMapping(value = "page")
    @ApiOperation(value = "获取分页报警基础信息")
    private R<PageVo<CommunicationVo>> page(@Validated({PageGroup.class, Default.class}) @RequestBody CommunicationQueryParam communicationQueryParam) {
        return communicationService.page(communicationQueryParam);
    }
}
