package com.mt.wms.basic.params;

import com.mt.wms.core.base.BaseParam;
import com.mt.wms.core.validator.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * @Author: liguanghao
 * @Date: 2021/9/29 9:15
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "报警基础信息参数对象", description = "用于新增和更新报警基础信息")
public class AlarmBaseParam extends BaseParam {

    private static final long serialVersionUID = 1L;

    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键，更新时需要填写",required = false, example = "1")
    @NotNull(message = "xxID不能为空", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码",required = true, example = "1")
    @NotNull(message = "编码不能为空")
    private String  code;

    /**
     * 报警类型
     */
    @ApiModelProperty(value = "报警类型",required = true, example = "1")
    @NotNull(message = "报警类型不能为空")
    private String alarmClass;

    /**
     * 报警内容
     */
    @ApiModelProperty(value = "报警内容",required = true, example = "1")
    @NotNull(message = "报警类型不能为空")
    private String alarmInfo;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注",required = true, example = "1")
    private String note;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述",required = true, example = "1")
    private String description;
}
