package com.mt.wms.basic.params;

import com.mt.wms.core.base.BaseParam;
import com.mt.wms.core.validator.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * @Author: liguanghao
 * @Date: 2022/1/25 21:34
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "工艺基础信息参数对象", description = "用于新增和更新工艺基础信息")
public class CraftInfoParam  extends BaseParam {
    private static final long serialVersionUID = 1L;
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键",required = false, example = "1")
    @NotNull(message = "xxID不能为空", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码", example = "1")
    private String  code;
    /**
     * 工艺号
     */
    @ApiModelProperty(value = "工艺号", example = "1")
    @NotNull(message = "工艺号不能为空")
    private String  craftCode;
    /**
     * plc值
     */
    @ApiModelProperty(value = "plc值", example = "1")
    @NotNull(message = "plc值不能为空")
    private Integer plcValue;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明", example = "1")
    private String  content;
}
