package com.mt.wms.basic.service;

import com.mt.wms.basic.params.LocationInfoParam;
import com.mt.wms.basic.params.LocationInfoQueryParam;
import com.mt.wms.basic.vo.LocationInfoVo;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;

import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/11/9 11:10
 * @Version 1.0
 */
public interface LocationInfoService {
    /**
     * 获取xx
     *
     * @param idParam 主键参数
     * @return xx
     */
    R<LocationInfoVo> get(IdParam idParam);

    /**
     * 获取xx列表
     *
     * @param locationInfoQueryParam xx查询参数
     * @return xx列表
     */
    R<List<LocationInfoVo>> list(LocationInfoQueryParam locationInfoQueryParam);

    /**
     * 获取xx分页列表
     *
     * @param locationInfoQueryParam xx查询参数
     * @return xx分页列表
     */
    R<PageVo<LocationInfoVo>> page(LocationInfoQueryParam locationInfoQueryParam);


    /**
     * 新增xx
     *
     * @param locationInfoParam xx参数
     * @return 主键
     */
    R<IdVo> add(LocationInfoParam locationInfoParam);

    /**
     * 更新xx
     *
     * @param locationInfoParam xx参数
     * @return 主键
     */
    R<IdVo> update(LocationInfoParam locationInfoParam);


    /**
     * 删除xx
     *
     * @param idParam 主键参数
     * @return 主键
     */
    R<IdVo> delete(IdParam idParam);
}
