package com.mt.wms.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mt.wms.basic.params.CommunicationQueryParam;
import com.mt.wms.basic.service.CommunicationService;
import com.mt.wms.basic.vo.AlarmBaseVo;
import com.mt.wms.basic.vo.CommunicationVo;
import com.mt.wms.core.api.Assert;
import com.mt.wms.core.base.BaseService;
import com.mt.wms.core.dal.entity.CommunicationLog;
import com.mt.wms.core.dal.service.CommunicationLogServiceBiz;
import com.mt.wms.core.errorcode.ApiErrorCode;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.utils.StringUtils;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @Author: liguanghao
 * @Date: 2021/11/18 10:18
 * @Version 1.0
 */
@Service
@Transactional
public class CommunicationServiceImpl extends BaseService implements CommunicationService {
    @Resource
    private CommunicationLogServiceBiz communicationLogServiceBiz;
    @Override
    public R<CommunicationVo> get(IdParam idParam) {
        Assert.notNull(ApiErrorCode.INVALID_PARAMETER,idParam.getId());
        CommunicationLog communicationLog = communicationLogServiceBiz.getById(idParam.getId());
        CommunicationVo communicationVo = CommunicationVo.builder().build();
        BeanUtils.copyProperties(communicationLog,communicationVo);
        return successful(communicationVo);
    }

    @Override
    public R<PageVo<CommunicationVo>> page(CommunicationQueryParam communicationQueryParam) {
        QueryWrapper<CommunicationLog> wrapper=new QueryWrapper<>();
        wrapper.eq(CommunicationLog.VALID,1);
        wrapper.eq(communicationQueryParam.getType()!=null,CommunicationLog.TYPE,communicationQueryParam.getType());
        Page<CommunicationLog> page = communicationLogServiceBiz.page(new Page<>(communicationQueryParam.getCurrent(), communicationQueryParam.getSize()), wrapper);
        return successful(new PageVo<>(page,CommunicationVo.class));
    }
}
