package com.mt.wms.basic.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author: liguanghao
 * @Date: 2021/11/9 11:21
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "工业炉视图对象", description = "用于查询工业炉信息")
public class KilnInfoVo  extends BaseVo implements PageVo.ConvertVo {
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键", required = true, example = "1")
    private Long id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码",  example = "1")
    private String code;

    /**
     * 类型，存储数据字典编码，修改为1：加工炉，2：回火炉，3：氮化炉，4：清洗炉
     */
    @ApiModelProperty(value = "类型，存储数据字典编码，修改为1：加工炉，2：回火炉，3：氮化炉，4：清洗炉",  example = "1")
    private Integer type;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称",  example = "1")
    private String kilnName;

    /**
     * 别名
     */
    @ApiModelProperty(value = "缩写(别名)",  example = "1")
    private String kilnAlias;


    /**
     * 英文名
     */
    @ApiModelProperty(value = "英文名",  example = "1")
    private String en;

    /**
     * ip
     */
    @ApiModelProperty(value = "ip",  example = "192.168.0.1")
    private String ip;

    /**
     * 端口号
     */
    @ApiModelProperty(value = "端口号",  example = "8888")
    private String portNumber;

    /**
     * 状态	0初始化，1损坏
     */
    @ApiModelProperty(value = "状态",  example = "0")
    private String status;

    /**
     * 备注
     */
    @ApiModelProperty(value = "ip",  example = "1")
    private String note;
    /**
     * 描述信息
     */
    @ApiModelProperty(value = "描述信息",  example = "1")
    private String description;
}
