package com.mt.wms.basic.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * @Author: liguanghao
 * @Date: 2021/9/27 14:41
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "缓存区视图对象", description = "用于查询缓存区信息")
public class WarehouseVo extends BaseVo implements PageVo.ConvertVo{
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键", required = true, example = "1")
    private Long id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码",  example = "1")
    private String code;

    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称",  example = "1")
    private String warehouseName;

    /**
     * 规格
     */
    @ApiModelProperty(value = "规格",  example = "1")
    private String spec;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注",  example = "1")
    private String note;

    /**
     * 描述信息
     */
    @ApiModelProperty(value = "描述信息",  example = "1")
    private String description;
    /**
     * 英文名称
     */
    @ApiModelProperty(value = "英文名称",example = "1")
    private String englishName;

    /**
     * 别名
     */
    @ApiModelProperty(value = "别名",example = "1")
    private String aliasName;

    /**
     * 库位数量
     */
    @ApiModelProperty(value = "库位数量",example = "1")
    private Integer number;

    /**
     * 状态		0初始化，1已占用
     */
    @ApiModelProperty(value = "状态", example = "1")
    private Integer status;
}
