/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.base;

import java.io.Serializable;

/**
 * 枚举接口
 *
 * @param <T>
 * @author jiff
 * @date 2018/11/7
 * @since 1.0
 */
public interface IEnum<T extends Serializable> {

    /**
     * 数据值
     *
     * @return 数据值
     */
    T getValue();

    /**
     * 标签名
     *
     * @return 标签名
     */
    String getLabel();

    /**
     * 备注，对数据值进行详细说明
     *
     * @return 备注
     */
    String getRemark();

}
