package com.mt.wms.core.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.validation.annotation.Validated;

/**
 * <p>
 *     腾讯云短信配置
 * </p>
 *
 * @author Mr.ZhangShi
 * @version 1.0
 * @date 2020/8/10
 */
@Component
@ConfigurationProperties(prefix = "wms.tencentcloud.sms")
@Data
public class TencentCloudSmsConfig{

    /**
     * 短信应用id
     */
    private String appId;

    /**
     * 短信应用key
     */
    private String appKey;
}
