package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 报警信息
 * </p>
 *
 * @author mt
 * @since 2022-02-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_alarm_info")
public class AlarmInfo extends Model<AlarmInfo> {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 删除标志，是否有效:1 可用 0不可用
     */
    @TableField("valid")
    @TableLogic
    private Integer valid;

    /**
     * 添加时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Integer creatorId;

    /**
     * 更新人id
     */
    @TableField("updater_id")
    private Integer updaterId;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    /**
     * 版本号 默认为 1
     */
    @TableField("version")
    @Version
    private String version;

    /**
     * 状态		0初始化
     */
    @TableField("status")
    private Integer status;

    /**
     * 内部编码
     */
    @TableField("inter_code")
    private String interCode;

    /**
     * 编码
     */
    @TableField("code")
    private String code;

    /**
     * 设备id
     */
    @TableField("equipment_id")
    private Long equipmentId;

    /**
     * 设备名称
     */
    @TableField("equipment_name")
    private String equipmentName;

    /**
     * 报警类型		0工业炉，1表示车辆，依次类推
     */
    @TableField("type")
    private Integer type;

    /**
     * 报警编码
     */
    @TableField("alarm_code")
    private String alarmCode;

    /**
     * 报警内容
     */
    @TableField("alarm_info")
    private String alarmInfo;

    /**
     * 描述信息
     */
    @TableField("description")
    private String description;

    /**
     * 备注
     */
    @TableField("note")
    private String note;

    /**
     * 加工任务编码（炉子报警时记录）
     */
    @TableField("task_code")
    private String taskCode;


    public static final String ID = "id";

    public static final String VALID = "valid";

    public static final String CREATE_TIME = "create_time";

    public static final String CREATOR_ID = "creator_id";

    public static final String UPDATER_ID = "updater_id";

    public static final String UPDATE_TIME = "update_time";

    public static final String VERSION = "version";

    public static final String STATUS = "status";

    public static final String INTER_CODE = "inter_code";

    public static final String CODE = "code";

    public static final String EQUIPMENT_ID = "equipment_id";

    public static final String EQUIPMENT_NAME = "equipment_name";

    public static final String TYPE = "type";

    public static final String ALARM_CODE = "alarm_code";

    public static final String ALARM_INFO = "alarm_info";

    public static final String DESCRIPTION = "description";

    public static final String NOTE = "note";

    public static final String TASK_CODE = "task_code";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
