package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 自动执行任务表
 * </p>
 *
 * @author mt
 * @since 2022-03-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_auto_exe_task")
public class AutoExeTask extends Model<AutoExeTask> {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 删除标志，是否有效:1 可用 0不可用，2停止
     */
    @TableField("valid")
    @TableLogic
    private Integer valid;

    /**
     * 添加时间，入库时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 状态，0：新增，1：执行中，2完成，3 终止
     */
    @TableField("status")
    private Integer status;

    /**
     * 内部编码，系统自动生成
     */
    @TableField("inter_code")
    private String interCode;

    /**
     * 工艺流程ID
     */
    @TableField("process_flow_id")
    private Long processFlowId;

    /**
     * 工艺流程名称
     */
    @TableField("process_flow_name")
    private String processFlowName;

    /**
     * 工艺类型，1表示第一种工艺流程，2表示第二种工艺流程
     */
    @TableField("process_flow_type")
    private Integer processFlowType;

    /**
     * 工艺号ID
     */
    @TableField("craft_code_id")
    private Long craftCodeId;

    /**
     * 工艺编码
     */
    @TableField("craft_code")
    private String craftCode;

    /**
     * 区域ID，区分不同操作区域
     */
    @TableField("warehouse_id")
    private Long warehouseId;

    /**
     * 执行任务ID，关联任务表：t_curr_task
     */
    @TableField("f_task_id")
    private Long fTaskId;

    /**
     * 任务编码,子任务编码对应任务表t_curr_task中task_code编码
     */
    @TableField("f_det_task_code")
    private String fDetTaskCode;

    /**
     * 设备类型ID，关联设备类型表：t_equipment_type
     */
    @TableField("f_equipment_type_id")
    private Long fEquipmentTypeId;

    /**
     * 设备ID，关联设备表：t_kiln_info
     */
    @TableField("f_equipment_id")
    private Long fEquipmentId;

    /**
     * 设备名称（炉子名称）
     */
    @TableField("f_equipment_name")
    private String fEquipmentName;

    /**
     * 工艺号ID，关联工艺号表：t_craft_info
     */
    @TableField("f_craft_code_id")
    private Long fCraftCodeId;

    /**
     * 工艺号对应PLC值
     */
    @TableField("f_plc_value")
    private Integer fPlcValue;

    /**
     * 进炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @TableField("f_in_tran_status")
    private Integer fInTranStatus;

    /**
     * 加工状态，0：加工开始，1：加工中，2：加工完成
     */
    @TableField("f_pro_status")
    private Integer fProStatus;

    /**
     * 出炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @TableField("f_out_tran_status")
    private Integer fOutTranStatus;

    /**
     * 执行任务ID，关联任务表：t_curr_task
     */
    @TableField("t_task_id")
    private Long tTaskId;

    /**
     * 任务编码,子任务编码对应任务表t_curr_task中task_code编码
     */
    @TableField("t_det_task_code")
    private String tDetTaskCode;

    /**
     * 设备类型ID，关联设备类型表：t_equipment_type
     */
    @TableField("t_equipment_type_id")
    private Long tEquipmentTypeId;

    /**
     * 设备名称
     */
    @TableField("t_equipment_name")
    private String tEquipmentName;

    /**
     * 设备ID，关联设备表：t_kiln_info
     */
    @TableField("t_equipment_id")
    private Long tEquipmentId;

    /**
     * 工艺号ID，关联工艺号表：t_craft_info
     */
    @TableField("t_craft_code_id")
    private Long tCraftCodeId;

    /**
     * 工艺号对应PLC值
     */
    @TableField("t_plc_value")
    private Integer tPlcValue;

    /**
     * 进炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @TableField("t_in_tran_status")
    private Integer tInTranStatus;

    /**
     * 加工状态，0：加工开始，1：加工中，2：加工完成
     */
    @TableField("t_pro_status")
    private Integer tProStatus;

    /**
     * 出炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @TableField("t_out_tran_status")
    private Integer tOutTranStatus;

    /**
     * 执行任务ID，关联任务表：t_curr_task
     */
    @TableField("th_task_id")
    private Long thTaskId;

    /**
     * 任务编码,子任务编码对应任务表t_curr_task中task_code编码
     */
    @TableField("th_det_task_code")
    private String thDetTaskCode;

    /**
     * 设备类型ID，关联设备类型表：t_equipment_type
     */
    @TableField("th_equipment_type_id")
    private Long thEquipmentTypeId;

    /**
     * 设备名称
     */
    @TableField("th_equipment_name")
    private String thEquipmentName;

    /**
     * 设备ID，关联设备表：t_kiln_info
     */
    @TableField("th_equipment_id")
    private Long thEquipmentId;

    /**
     * 工艺号ID，关联工艺号表：t_craft_info
     */
    @TableField("th_craft_code_id")
    private Long thCraftCodeId;

    /**
     * 工艺号对应PLC值
     */
    @TableField("th_plc_value")
    private Integer thPlcValue;

    /**
     * 进炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @TableField("th_in_tran_status")
    private Integer thInTranStatus;

    /**
     * 加工状态，0：加工开始，1：加工中，2：加工完成
     */
    @TableField("th_pro_status")
    private Integer thProStatus;

    /**
     * 出炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @TableField("th_out_tran_status")
    private Integer thOutTranStatus;

    /**
     * 备注
     */
    @TableField("content")
    private String content;


    public static final String ID = "id";

    public static final String VALID = "valid";

    public static final String CREATE_TIME = "create_time";

    public static final String STATUS = "status";

    public static final String INTER_CODE = "inter_code";

    public static final String PROCESS_FLOW_ID = "process_flow_id";

    public static final String PROCESS_FLOW_NAME = "process_flow_name";

    public static final String PROCESS_FLOW_TYPE = "process_flow_type";

    public static final String CRAFT_CODE_ID = "craft_code_id";

    public static final String CRAFT_CODE = "craft_code";

    public static final String WAREHOUSE_ID = "warehouse_id";

    public static final String F_TASK_ID = "f_task_id";

    public static final String F_DET_TASK_CODE = "f_det_task_code";

    public static final String F_EQUIPMENT_TYPE_ID = "f_equipment_type_id";

    public static final String F_EQUIPMENT_ID = "f_equipment_id";

    public static final String F_EQUIPMENT_NAME = "f_equipment_name";

    public static final String F_CRAFT_CODE_ID = "f_craft_code_id";

    public static final String F_PLC_VALUE = "f_plc_value";

    public static final String F_IN_TRAN_STATUS = "f_in_tran_status";

    public static final String F_PRO_STATUS = "f_pro_status";

    public static final String F_OUT_TRAN_STATUS = "f_out_tran_status";

    public static final String T_TASK_ID = "t_task_id";

    public static final String T_DET_TASK_CODE = "t_det_task_code";

    public static final String T_EQUIPMENT_TYPE_ID = "t_equipment_type_id";

    public static final String T_EQUIPMENT_NAME = "t_equipment_name";

    public static final String T_EQUIPMENT_ID = "t_equipment_id";

    public static final String T_CRAFT_CODE_ID = "t_craft_code_id";

    public static final String T_PLC_VALUE = "t_plc_value";

    public static final String T_IN_TRAN_STATUS = "t_in_tran_status";

    public static final String T_PRO_STATUS = "t_pro_status";

    public static final String T_OUT_TRAN_STATUS = "t_out_tran_status";

    public static final String TH_TASK_ID = "th_task_id";

    public static final String TH_DET_TASK_CODE = "th_det_task_code";

    public static final String TH_EQUIPMENT_TYPE_ID = "th_equipment_type_id";

    public static final String TH_EQUIPMENT_NAME = "th_equipment_name";

    public static final String TH_EQUIPMENT_ID = "th_equipment_id";

    public static final String TH_CRAFT_CODE_ID = "th_craft_code_id";

    public static final String TH_PLC_VALUE = "th_plc_value";

    public static final String TH_IN_TRAN_STATUS = "th_in_tran_status";

    public static final String TH_PRO_STATUS = "th_pro_status";

    public static final String TH_OUT_TRAN_STATUS = "th_out_tran_status";

    public static final String CONTENT = "content";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
