package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备工艺信息
 * </p>
 *
 * @author mt
 * @since 2021-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_craft_info")
public class CraftInfo extends Model<CraftInfo> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 删除标志，是否有效:1 可用 0不可用，2停止
     */
    @TableField("valid")
    @TableLogic
    private Integer valid;

    /**
     * 添加时间，入库时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Integer creatorId;

    /**
     * 更新人id
     */
    @TableField("updater_id")
    private Integer updaterId;

    /**
     * 修改时间，更具修改时间来判断下次执行顺序，第一次修改时间和新增时间相同
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    /**
     * 版本号 默认为 1
     */
    @TableField("version")
    @Version
    private String version;

    /**
     * 状态，0：可用，1：不可用
     */
    @TableField("status")
    private Integer status;

    /**
     * 内部编码，系统自动生成
     */
    @TableField("inter_code")
    private String interCode;

    /**
     * 工艺号
     */
    @TableField("craft_code")
    private String craftCode;

    /**
     * 编码
     */
    @TableField("code")
    private String code;

    /**
     * 对应PLC值
     */
    @TableField("plc_value")
    private Integer plcValue;

    /**
     * 说明
     */
    @TableField("content")
    private String content;


    public static final String ID = "id";

    public static final String VALID = "valid";

    public static final String CREATE_TIME = "create_time";

    public static final String CREATOR_ID = "creator_id";

    public static final String UPDATER_ID = "updater_id";

    public static final String UPDATE_TIME = "update_time";

    public static final String VERSION = "version";

    public static final String STATUS = "status";

    public static final String INTER_CODE = "inter_code";

    public static final String CRAFT_CODE = "craft_code";

    public static final String CODE = "code";

    public static final String PLC_VALUE = "plc_value";

    public static final String CONTENT = "content";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
