package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 工业炉运转速度
 * </p>
 *
 * @author mt
 * @since 2022-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_par_rot_speed_value")
public class ParRotSpeedValue extends Model<ParRotSpeedValue> {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 添加时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 内部编码，系统自动生成
     */
    @TableField("inter_code")
    private String interCode;

    /**
     * 状态	0初始化，1损坏
     */
    @TableField("status")
    private Integer status;

    /**
     * 工业炉id，关联设备工业炉表：t_kiln_info
     */
    @TableField("kiln_id")
    private Long kilnId;

    /**
     * 任务id
     */
    @TableField("task_id")
    private Long taskId;

    /**
     * 参数id，关联参数表：t_par_info
     */
    @TableField("par_id")
    private Integer parId;

    /**
     * 后室风扇1运行速度值
     */
    @TableField("fan_speed_a_value")
    private Float fanSpeedAValue;

    /**
     * 后室风扇2运行速度值
     */
    @TableField("fan_speed_b_value")
    private Float fanSpeedBValue;

    /**
     * 油搅拌1运行速度
     */
    @TableField("oil_sti_speed_a_value")
    private Float oilStiSpeedAValue;

    /**
     * 油搅拌2运行速度
     */
    @TableField("oil_sti_speed_b_value")
    private Float oilStiSpeedBValue;

    /**
     * 油搅拌3运行速度
     */
    @TableField("oil_sti_speed_c_value")
    private Float oilStiSpeedCValue;

    /**
     * 油搅拌4运行速度
     */
    @TableField("oil_sti_speed_d_value")
    private Float oilStiSpeedDValue;

    /**
     * 油搅拌5运行速度
     */
    @TableField("oil_sti_speed_e_value")
    private Float oilStiSpeedEValue;

    /**
     * 油搅拌6运行速度
     */
    @TableField("oil_sti_speed_f_value")
    private Float oilStiSpeedFValue;

    /**
     * 扩展字段1
     */
    @TableField("add_a")
    private Float addA;

    /**
     * 扩展字段2
     */
    @TableField("add_b")
    private Float addB;

    /**
     * 扩展字段3
     */
    @TableField("add_c")
    private Float addC;

    /**
     * 扩展字段4
     */
    @TableField("orther_a")
    private String ortherA;

    /**
     * 扩展字段5
     */
    @TableField("orther_b")
    private String ortherB;

    /**
     * 扩展字段6
     */
    @TableField("orther_c")
    private String ortherC;


    public static final String ID = "id";

    public static final String CREATE_TIME = "create_time";

    public static final String INTER_CODE = "inter_code";

    public static final String STATUS = "status";

    public static final String KILN_ID = "kiln_id";

    public static final String TASK_ID = "task_id";

    public static final String PAR_ID = "par_id";

    public static final String FAN_SPEED_A_VALUE = "fan_speed_a_value";

    public static final String FAN_SPEED_B_VALUE = "fan_speed_b_value";

    public static final String OIL_STI_SPEED_A_VALUE = "oil_sti_speed_a_value";

    public static final String OIL_STI_SPEED_B_VALUE = "oil_sti_speed_b_value";

    public static final String OIL_STI_SPEED_C_VALUE = "oil_sti_speed_c_value";

    public static final String OIL_STI_SPEED_D_VALUE = "oil_sti_speed_d_value";

    public static final String OIL_STI_SPEED_E_VALUE = "oil_sti_speed_e_value";

    public static final String OIL_STI_SPEED_F_VALUE = "oil_sti_speed_f_value";

    public static final String ADD_A = "add_a";

    public static final String ADD_B = "add_b";

    public static final String ADD_C = "add_c";

    public static final String ORTHER_A = "orther_a";

    public static final String ORTHER_B = "orther_b";

    public static final String ORTHER_C = "orther_c";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
