/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.enums;

import com.mt.wms.core.base.IEnum;

/**
 * 应用类型枚举:1、pc，2、app，3、wechat，4、miniapp
 *
 * @author jiff
 * @date 2018/11/13
 * @since 1.0
 */
public enum AppTypeEnum implements IEnum<Integer> {
    /**
     * pc
     */
    PC(1, "pc"),
    /**
     * app
     */
    APP(2, "app"),
    /**
     * wechat公众号
     */
    WECHAT(3, "wechat"),
    /**
     * miniapp小程序
     */
    MINIAPP(4, "miniapp");


    private final Integer value;
    private final String label;
    private final String remark;

    AppTypeEnum(final int value, final String label) {
        this(value, label, null);
    }

    AppTypeEnum(final int value, final String label, final String remark) {
        this.value = value;
        this.label = label;
        this.remark = remark;
    }

    /**
     * @return 数据值
     */
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * @return 标签名
     */
    @Override
    public String getLabel() {
        return label;
    }

    /**
     * @return 备注
     */
    @Override
    public String getRemark() {
        return remark;
    }
}
