/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.message;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 钉钉消息模板
 *
 * <p>
 * <pre>
 *  {
 *      "msgtype": "text",
 *      "text": {
 *          "content": "我就是我,  @13505711314 是不一样的烟火"
 *      },
 *      "at": {
 *          "atMobiles": [
 *              "13505711314"
 *          ],
 *          "isAtAll": false
 *      }
 *  }
 * </pre>
 * </p>
 *
 * @author jiff
 * @date 2018/11/1
 * @since 1.0
 */
@Data
@ToString
public class DingTalkMessage implements Serializable {
    private String msgtype;
    private TextBean text;

    @Data
    public static class TextBean {
        /**
         * content : 服务: lis-center-gateway 状态：UP
         */
        private String content;
    }
}
