/*
 * Copyright (c) 2020.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.service;

/**
 * @author jiff
 * @date 2019-07-20
 * @since 1.0
 */
public interface RedisService {
    /**
     * @param key
     * @param value
     */
    void set(String key, String value);

    /**
     * @param key
     * @param value
     * @param expired 过期时间，单位秒
     */
    void set(String key, String value, long expired);

    /**
     * @param key
     * @param value 不能为null，使用json方式存储
     */
    void set(String key, Object value);

    /**
     * @param key
     * @param value   不能为null，使用json方式存储
     * @param expired 过期时间，单位秒
     */
    void set(String key, Object value, long expired);

    /**
     * @param key
     * @return
     */
    String get(String key);

    <T> T get(String key, Class<T> clazz);

    boolean containsKeyPattern(String keyPattern);

    boolean hasKey(String key);

    boolean del(String key);

    long getExpire(String key);
}
