/*
 * Copyright (c) 2019.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.utils;


import org.apache.commons.codec.digest.DigestUtils;

/**
 * @author jiff
 * @date 2019-07-19
 * @since 1.0
 */
public class PasswordUtil {

    private PasswordUtil() {
    }

    /**
     * 加密后的密码
     *
     * @param password 原始密码
     * @param nonce    加密字符串
     * @return 加密后的密码
     */
    public static String encode(String password, String nonce) {
        return DigestUtils.md5Hex(password + nonce);
    }

    /**
     * 生成加密字符串
     *
     * @return 加密字符串
     */
    public static String genNonce() {
        return RandomCodeGenerator.alphanumericCode(16);
    }
}
