package com.mt.wms.empty.controller;

import com.mt.wms.core.base.BaseController;
import com.mt.wms.core.constants.CommonConstant;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.validator.groups.PageGroup;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.OrderInfoBasePageParam;
import com.mt.wms.empty.params.OrderInfoTaskDetParam;
import com.mt.wms.empty.service.OrderInfoHisService;
import com.mt.wms.empty.vo.OrderInfoTaskDetVo;
import com.mt.wms.empty.vo.OrderInfoVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.groups.Default;

/**
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@RestController
@RequestMapping(CommonConstant.API_MODULE_BASE + "orderInfoHis")
@Slf4j
@Api(value = "订单历史", tags = "订单历史", hidden = false)
public class OrderInfoHisController extends BaseController {
    @Autowired
    private OrderInfoHisService orderInfoHisService;

    @PostMapping(value = "page")
    @ApiOperation(value = "获取分页订单历史信息")
    private R<PageVo<OrderInfoVo>> page(@Validated({PageGroup.class, Default.class}) @RequestBody OrderInfoBasePageParam orderBaseParam) {
        return orderInfoHisService.page(orderBaseParam);
    }

    @PostMapping(value = "getDet")
    @ApiOperation(value = "订单历史-查看详情")
    private R<OrderInfoVo> get(@Validated @RequestBody IdParam idParam) {
        return orderInfoHisService.getOne(idParam);
    }

    @PostMapping(value = "getTaskInfo")
    @ApiOperation(value = "订单历史-查看任务详情")
    private R<PageVo<OrderInfoTaskDetVo>> getTaskInfo(@Validated @RequestBody OrderInfoTaskDetParam orderInfoTaskDetParam) {
        return orderInfoHisService.getTaskInfo(orderInfoTaskDetParam);
    }
}
