package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/12/16 11:03
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "电能消耗查询参数", description = "电能消耗查询参数")
public class ElectricQueryParam extends BaseParam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "工业炉id", required = false)
    private Long kilnId;

    @ApiModelProperty(value = "任务id", required = true)
    private List<Long> taskIds;


    @ApiModelProperty(value = "时间节点", required = false)
    private LocalDateTime time;

    @ApiModelProperty(value = "时间类型:1 天，2 周，3 月，4 年", required = false)
    private Integer dateType;

    private String sheetNo;
}
