package com.mt.wms.empty.service;

import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.AutoTaskParam;
import com.mt.wms.empty.params.AutoTaskQueryParam;
import com.mt.wms.empty.vo.AutoTaskVo;

import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2022/3/3 23:14
 * @Version 1.0
 */
public interface AutoTaskService {
    /**
     * 获取xx
     *
     * @param idParam 主键参数
     * @return xx
     */
    R<AutoTaskVo> get(IdParam idParam);

    /**
     * 获取xx列表
     *
     * @param autoTaskQueryParam xx查询参数
     * @return xx列表
     */
    R<List<AutoTaskVo>> list(AutoTaskQueryParam autoTaskQueryParam);

    /**
     * 获取xx分页列表
     *
     * @param autoTaskQueryParam xx查询参数
     * @return xx分页列表
     */
    R<PageVo<AutoTaskVo>> page(AutoTaskQueryParam autoTaskQueryParam);


    /**
     * 终止自动任务
     *
     * @param idParam xx参数
     * @return 主键
     */
    R<IdVo> stop(IdParam idParam);
}
