package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "历史任务信息", description = "历史任务信息")
public class TaskHisQueryVo extends BaseVo implements PageVo.ConvertVo {
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 任务编码, 查看任务编码规则
     */
    @ApiModelProperty("任务编码")
    private String taskCode;

    /**
     * 炉号
     */
    @ApiModelProperty("炉号")
    private String stoveCode;
    /**
     * 工艺号
     */
    @ApiModelProperty("工艺号")
    private Integer plcValue;
    /**
     * 发起任务时间
     */
    @ApiModelProperty("发起时间")
    private LocalDateTime createTime;

    /**
     * 进炉时间
     */
    @ApiModelProperty("进炉时间")
    private LocalDateTime beginTime;
    /**
     * 任务来源, 暂时只有人工
     */
    @ApiModelProperty("任务来源")
    private String taskSource;
    /**
     * 状态：	0等待执行，1执行中，2执行完成，3追加后完成（追加后就按完成来算）
     */
    @ApiModelProperty("状态")
    private Integer status;
    /**
     * 任务类型：0:入库到工业炉，1:入库到缓存区，2出库到	工业炉到缓存区，3缓存区出库
     */
    @ApiModelProperty("任务类型")
    private Integer taskType;
    /**
     * 开始位置
     */
    @ApiModelProperty("开始位置")
    private String startPosition;
    /**
     * 开始加工时间
     */
    @ApiModelProperty("开始加工时间")
    private LocalDateTime aBeginTime;

    /**
     * 加工完成时间
     */
    @ApiModelProperty("加工完成时间")
    private LocalDateTime aEndTime;
    /**
     * 目标位置指的是工业炉的位置
     */
    @ApiModelProperty("工业炉位置")
    private String targetPosition;
    /**
     * 车辆名称，关联车辆表：t_vehicle_info
     */
    @ApiModelProperty("车辆名称")
    private String vehicleName;

    /**
     * 加工单号
     */
    @ApiModelProperty("加工单号")
    private String sheetNo;

    /**
     * 加工单号
     */
    @ApiModelProperty("加工单号")
    private Long taskId;
}
