package com.mt.wms.gateway;
/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

import com.mt.wms.core.EnableMesCore;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 服务网关
 *
 * @author FanYi
 * @date 2020/07/01
 * @since 1.0
 */
@SpringBootApplication(exclude = {})
@ComponentScan(basePackages = {
        "com.mt.wms.gateway",
        "com.mt.wms.common",
        "com.mt.wms.passport",
        "com.mt.wms.upms",
        "com.mt.wms.basic",
        "com.mt.wms.empty"

})
@ServletComponentScan("com.mt.wms.gateway.filter")
@EnableDiscoveryClient
//@EnableFeignClients
@RefreshScope
@EnableMesCore
@EnableScheduling
public class MesGatewayApplication {
    public static void main(String[] args) {
        SpringApplication.run(MesGatewayApplication.class, args);
    }
}
