/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.passport.config;

import com.mt.wms.passport.resolver.CookieHeaderHttpSessionIdResolver;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.AutoConfigureAfter;
import org.springframework.boot.autoconfigure.data.redis.RedisAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;
import org.springframework.session.web.http.HttpSessionIdResolver;

/**
 * @author jiff
 * @date 2018/11/1
 * @since 1.0
 */
@EnableRedisHttpSession(maxInactiveIntervalInSeconds = 3 * 24 * 3600)
@AutoConfigureAfter(RedisAutoConfiguration.class)
@Slf4j
public class WebSessionConfig {


    /**
     * session策略，这里配置的是自定义同时支持Cookie和Header方式（有提供Header，Cookie等方式）
     *
     * @return
     */
    @Bean
    public HttpSessionIdResolver httpSessionIdResolver() {
        return CookieHeaderHttpSessionIdResolver.token();
    }

}



