/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mt.wms.upms.params.SysUserQueryParam;
import com.mt.wms.upms.vo.SysUserVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author jiff
 * @date 2018-12-10
 * @since 1.0
 */
@Repository("upmsUserMapper")
public interface UserMapper {
    /**
     * 根据组织查询所管理的用户列表
     *
     * @param sysUserQueryParam 用户查询参数
     * @return 用户列表
     */
    List<SysUserVo> listByOrg(@Param("queryParam") SysUserQueryParam sysUserQueryParam);

    /**
     * 根据组织查询所管理的用户分页列表
     *
     * @param page              分页信息
     * @param sysUserQueryParam 用户查询参数
     * @return 用户列表
     */
    List<SysUserVo> listByOrg(IPage page, @Param("queryParam") SysUserQueryParam sysUserQueryParam);

}
